{ inputs, ... }:
{
  programs.hyprlock = {
    enable = true;
    package = inputs.hyprlock.packages.x86_64-linux.default;
    settings = {

      general = {
        grace = 3;
        hide_cursor = true;
      };

      background = {
        color = "rgb(0,0,0)";
      };

      input-field = {
        outline_thickness = 2;
        dots_size = 0.15; # Scale of input-field height, 0.2 - 0.8;
        dots_spacing = 0.25; # Scale of dots' absolute size, 0.0 - 1.0;
        dots_center = true;
        outer_color = "rgba(0, 0, 0, 0)";
        inner_color = "rgba(225, 225, 225, 0.25)";
        font_color = "rgb(0,0,0)";
        fade_on_empty = false;
        check_color = "rgb(204, 136, 34)";
        placeholder_text = "<i><span foreground=\"##cdd6f4\">hm ...</span></i>";
        hide_input = false;
        position = "0, 0";
        halign = "center";
        valign = "center";
        font_family = "JetBrains Mono";
      };

      # DATE
      label = [
        {
          text = "cmd[update:1000] echo \"$(date +\"%A, %B %d\")\"";
          color = "rgba(242, 243, 244, 0.75)";
          font_size = 32;
          font_family = "JetBrains Mono";
          position = "0, 300";
          halign = "center";
          valign = "center";
        }

        # TIME
        {
          text = "cmd[update:1000] echo \"$(date +\"%-I:%M\")\"";
          color = "rgba(242, 243, 244, 0.75)";
          font_size = 32;
          font_family = "JetBrains Mono";
          position = "0, 200";
          halign = "center";
          valign = "center";
        }
      ];

    };
  };
}
